#if !defined(__testapp_h)              // Sentry, use file only if it's not already included.
#define __testapp_h

/*  Project test
    
    Copyright  1993. All Rights Reserved.

    SUBSYSTEM:    test.exe Application
    FILE:         testapp.h
    AUTHOR:       


    OVERVIEW
    ========
    Class definition for testApp (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\opensave.h>

#include "testapp.rh"            // Definition of all resources.


//{{TApplication = testApp}}
class testApp : public TApplication {
private:
    TWindow *Client;                                 // Client window for the frame.
    TOpenSaveDialog::TData FileData;                    // Data to control open/saveas standard dialog.

public:
    testApp ();
    virtual ~testApp ();

    void OpenFile (const char *fileName = 0);
//{{testAppVIRTUAL_BEGIN}}
public:
    virtual void InitMainWindow();
//{{testAppVIRTUAL_END}}

//{{testAppRSP_TBL_BEGIN}}
protected:
    void CmFileNew ();
    void CmFileOpen ();
    void CmFileClose ();
    void CmHelpAbout ();
//{{testAppRSP_TBL_END}}
  DECLARE_RESPONSE_TABLE(testApp);
};    //{{testApp}}


#endif                                      // __testapp_h sentry.
